import { html as a } from "lit";
import { property as h } from "lit/decorators.js";
import { PieIconComponent as n } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, u = Object.getOwnPropertyDescriptor, l = (i, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? u(t, s) : t, c = i.length - 1, p; c >= 0; c--)
    (p = i[c]) && (e = (r ? p(t, s, e) : p(e)) || e);
  return r && e && f(t, s, e), e;
};
let o = class extends n {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--doubleCheckLarge", this.class = "c-pieIcon c-pieIcon--doubleCheckLarge", this.name = "IconDoubleCheckLarge";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--doubleCheckLarge"><path d="m25.336 9.875-.004.004-.005-.004h.01Z"></path><path d="m25.332 9.88 1.282 1.185-9.459 10.194a1.821 1.821 0 0 1-1.33.586c-.499 0-.989-.21-1.33-.578L10.75 17.05l1.313-1.164 3.727 4.2.035.044 9.507-10.25Z"></path><path d="m15.318 17.584 6.055-6.519-1.287-1.19-5.932 6.396 1.164 1.313Z"></path><path d="m10.575 20.13.053-.061v.009l.533-.578 1.164 1.313-.42.454a1.822 1.822 0 0 1-1.33.587c-.499 0-.989-.21-1.33-.578L5.5 17.06l1.313-1.164 2.598 2.922 1.164 1.313Z"></path></svg>`;
  }
};
l([
  h({ type: String, reflect: !0 })
], o.prototype, "size", 2);
l([
  h({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = l([
  m("icon-double-check-large")
], o);
export {
  o as IconDoubleCheckLarge
};
